diff --git a/web/karma.conf.js b/web/karma.conf.js
index 713b9f05..39697ca7 100644
--- a/web/karma.conf.js
+++ b/web/karma.conf.js
@@ -17,6 +17,7 @@ module.exports = function (config) {
       {pattern: 'pgadmin/browser/static/js/**/*.js', included: false},
       'regression/javascript/**/*.jsx',
       'regression/javascript/**/*.js',
+      'pgadmin/static/bundle/slickgrid.js',
     ],
 
     // list of files to exclude
@@ -30,6 +31,7 @@ module.exports = function (config) {
     preprocessors: {
       'regression/javascript/**/*.js': ['webpack'],
       'regression/javascript/**/*.jsx': ['webpack'],
+      'pgadmin/static/bundle/slickgrid.js': ['webpack'],
     },
 
     webpack: webpackConfig,
diff --git a/web/pgadmin/static/jsx/components.jsx b/web/pgadmin/static/bundle/components.js
similarity index 64%
rename from web/pgadmin/static/jsx/components.jsx
rename to web/pgadmin/static/bundle/components.js
index 6ff34e4c..221beff1 100644
--- a/web/pgadmin/static/jsx/components.jsx
+++ b/web/pgadmin/static/bundle/components.js
@@ -1,7 +1,6 @@
-
 import React from 'react';
 import {render} from 'react-dom';
-import QueryHistory from './history/query_history';
+import QueryHistory from '../jsx/history/query_history';
 
 export {
   render,
diff --git a/web/pgadmin/static/bundle/slickgrid.js b/web/pgadmin/static/bundle/slickgrid.js
new file mode 100644
index 00000000..0d82a6bd
--- /dev/null
+++ b/web/pgadmin/static/bundle/slickgrid.js
@@ -0,0 +1,13 @@
+import 'slickgrid/slick.grid.css';
+import 'slickgrid/slick-default-theme.css';
+import 'slickgrid/css/smoothness/jquery-ui-1.11.3.custom.css';
+import 'slickgrid/slick.core';
+import 'slickgrid/slick.grid';
+import 'slickgrid/slick.editors';
+import 'slickgrid/slick.formatters';
+import 'slickgrid/plugins/slick.autotooltips';
+import 'slickgrid/plugins/slick.cellrangedecorator';
+import 'slickgrid/plugins/slick.cellrangeselector';
+import 'slickgrid/lib/jquery.event.drag-2.3.0';
+
+export default window.Slick;
\ No newline at end of file
diff --git a/web/pgadmin/static/js/selection/xcell_selection_model.js b/web/pgadmin/static/js/selection/xcell_selection_model.js
index 974b7479..8a128c43 100644
--- a/web/pgadmin/static/js/selection/xcell_selection_model.js
+++ b/web/pgadmin/static/js/selection/xcell_selection_model.js
@@ -2,10 +2,9 @@ define([
   'jquery',
   'underscore',
   'sources/selection/range_selection_helper',
-  'sources/slickgrid/pgslick.cellrangeselector',
 
   'slickgrid',
-], function ($, _, RangeSelectionHelper, PGCellRangeSelector) {
+], function ($, _, RangeSelectionHelper) {
   var XCellSelectionModel = function (options) {
 
     var KEY_ARROW_RIGHT = 39;
@@ -17,7 +16,7 @@ define([
     var _grid;
     var _ranges = [];
     var _self = this;
-    var _selector = new PGCellRangeSelector({
+    var _selector = new Slick.CellRangeSelector({
       'selectionCss': {
         'border': '2px solid black',
       },
diff --git a/web/regression/javascript/selection/column_selector_spec.js b/web/regression/javascript/selection/column_selector_spec.js
index 61115495..004de842 100644
--- a/web/regression/javascript/selection/column_selector_spec.js
+++ b/web/regression/javascript/selection/column_selector_spec.js
@@ -15,9 +15,9 @@ import 'slickgrid.grid';
 import ColumnSelector from 'sources/selection/column_selector';
 import ActiveCellCapture from 'sources/selection/active_cell_capture';
 import 'sources/selection/grid_selector';
+import 'slickgrid.plugins/slick.cellrangeselector';
+
 import XCellSelectionModel from 'sources/selection/xcell_selection_model';
-import 'sources/slickgrid/pgslick.cellrangedecorator';
-import 'sources/slickgrid/pgslick.cellrangeselector';
 
 describe('ColumnSelector', function () {
   var container, data, columns, options;
diff --git a/web/regression/javascript/selection/xcell_selection_model_spec.js b/web/regression/javascript/selection/xcell_selection_model_spec.js
index db3f6d60..f41d96c4 100644
--- a/web/regression/javascript/selection/xcell_selection_model_spec.js
+++ b/web/regression/javascript/selection/xcell_selection_model_spec.js
@@ -7,6 +7,7 @@
 //
 //////////////////////////////////////////////////////////////////////////
 
+import 'slickgrid.plugins/slick.cellrangeselector';
 import XCellSelectionModel from 'sources/selection/xcell_selection_model';
 import 'slickgrid.grid';
 import Slick from 'slickgrid';
diff --git a/web/regression/javascript/slickgrid/cell_selector_spec.js b/web/regression/javascript/slickgrid/cell_selector_spec.js
index 7ad72e32..162f3fa5 100644
--- a/web/regression/javascript/slickgrid/cell_selector_spec.js
+++ b/web/regression/javascript/slickgrid/cell_selector_spec.js
@@ -8,14 +8,18 @@
 //////////////////////////////////////////////////////////////
 
 import $ from 'jquery';
-import Slick from 'slickgrid';
+import 'slickgrid';
 import 'slickgrid.grid';
+
 import XCellSelectionModel from 'sources/selection/xcell_selection_model';
 import CellSelector from 'sources/slickgrid/cell_selector';
 import RangeSelectionHelper from 'sources/selection/range_selection_helper';
 
 describe('CellSelector', function () {
   var container, columns, cellSelector, data, cellSelectionModel, grid;
+
+  var Slick = window.Slick;
+
   beforeEach(function () {
     container = $('<div></div>');
     container.height(9999);
diff --git a/web/webpack.config.js b/web/webpack.config.js
index fc6d29e0..cd41ea67 100644
--- a/web/webpack.config.js
+++ b/web/webpack.config.js
@@ -3,8 +3,9 @@
 module.exports = {
   context: __dirname + '/pgadmin/static',
   entry: {
-    reactComponents: './jsx/components.jsx',
+    reactComponents: './bundle/components.js',
     history: './js/history/index.js',
+    slickgrid: './bundle/slickgrid.js',
   },
   output: {
     libraryTarget: 'amd',
@@ -22,8 +23,10 @@ module.exports = {
           presets: ['es2015', 'react'],
         },
       },
-    },
-    ],
+    }, {
+      test: /\.css$/,
+      use: ['style-loader', 'raw-loader'],
+    }],
   },
 
   resolve: {
diff --git a/web/webpack.test.config.js b/web/webpack.test.config.js
index 6754f048..737ef280 100644
--- a/web/webpack.test.config.js
+++ b/web/webpack.test.config.js
@@ -3,6 +3,7 @@ const path = require('path');
 const webpack = require('webpack');
 
 const sourcesDir = path.resolve(__dirname, 'pgadmin/static');
+const nodeModulesDir = path.resolve(__dirname, 'node_modules');
 const regressionDir = path.resolve(__dirname, 'regression');
 
 module.exports = {
@@ -25,21 +26,23 @@ module.exports = {
             presets: ['es2015', 'react'],
           },
         },
-      },
-      {
+      }, {
+        test: /\.css$/,
+        use: [ 'style-loader', 'raw-loader' ],
+      }, {
         test: /.*slickgrid\/slick\.(?!core)*/,
         loader: 'imports-loader?' +
         'jquery.ui' +
         ',jquery.event.drag' +
         ',slickgrid',
       }, {
-        test: /.*slickgrid\/plugins\/slick\.rowselectionmodel/,
+        test: /.*slickgrid\.plugins\/slick\.cellrangeselector/,
         loader: 'imports-loader?' +
         'jquery.ui' +
         ',jquery.event.drag' +
         ',slickgrid' +
         '!exports-loader?' +
-        'Slick.RowSelectionModel',
+        'Slick.CellRangeSelector',
       }, {
         test: /.*slickgrid\/slick\.core.*/,
         loader: 'imports-loader?' +
@@ -59,11 +62,12 @@ module.exports = {
       'jquery.event.drag': sourcesDir + '/vendor/jquery-ui/jquery.event.drag-2.2',
       'sources': sourcesDir + '/js',
       'underscore.string': sourcesDir + '/vendor/underscore/underscore.string',
+      'vendor': sourcesDir + '/vendor/',
       'translations': regressionDir + '/javascript/fake_translations',
       'pgadmin.browser.endpoints': regressionDir + '/javascript/fake_endpoints',
-      'slickgrid': sourcesDir + '/vendor/slickgrid/slick.core',
-      'slickgrid.grid': sourcesDir + '/vendor/slickgrid/slick.grid',
-      'slickgrid.rowselectionmodel': sourcesDir + '/vendor/slickgrid/plugins/slick.rowselectionmodel',
+      'slickgrid': nodeModulesDir + '/slickgrid/',
+      'slickgrid.plugins': nodeModulesDir + '/slickgrid/plugins/',
+      'slickgrid.grid': nodeModulesDir + '/slickgrid/slick.grid',
       'browser': path.resolve(__dirname, 'pgadmin/browser/static/js'),
       'pgadmin': sourcesDir + '/js/pgadmin',
     },
